Download a SCORM package
curl --request GET \
--url https://api.example.com/v1/scorm/{id}/downloadimport requests
url = "https://api.example.com/v1/scorm/{id}/download"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/scorm/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
SCORM
Download a SCORM package
Stream the zip. Signed URL valid for 24 hours.
GET
/
v1
/
scorm
/
{id}
/
download
Download a SCORM package
Path parameters
Examples
import { createWriteStream } from "node:fs";
const stream = await hk.scorm.download("pak_123");
stream.pipe(createWriteStream("./course.zip"));
$stream = $hk->scorm->download('pak_123');
$file = fopen('./course.zip', 'w');
while (! $stream->eof()) {
fwrite($file, $stream->read(8192));
}
fclose($file);
const stream = await hk.scorm.download("pak_123");
const blob = await stream.blob();
const url = URL.createObjectURL(blob);
Returns
AReadableStream of application/zip.
See also
- Export to SCORM for the full workflow.
⌘I